### Enumeration

# Gio TlsError

since: 2.28

#### Declaration

    error-domain Gio.TlsError

#### Description

An error code used with `G_TLS_ERROR` in a `GError` returned from a TLS-related routine.

Available since: 2.28

#### Members

`G_TLS_ERROR_UNAVAILABLE`

  No TLS provider is available.

  - Value: `0`
  - Nickname: `unavailable`
  - Available since: 2.28
`G_TLS_ERROR_MISC`

  Miscellaneous TLS error.

  - Value: `1`
  - Nickname: `misc`
  - Available since: 2.28
`G_TLS_ERROR_BAD_CERTIFICATE`

  The certificate presented could not be parsed or failed validation.

  - Value: `2`
  - Nickname: `bad-certificate`
  - Available since: 2.28
`G_TLS_ERROR_NOT_TLS`

  The TLS handshake failed because the peer does not seem to be a TLS server.

  - Value: `3`
  - Nickname: `not-tls`
  - Available since: 2.28
`G_TLS_ERROR_HANDSHAKE`

  The TLS handshake failed because the peer’s certificate was not acceptable.

  - Value: `4`
  - Nickname: `handshake`
  - Available since: 2.28
`G_TLS_ERROR_CERTIFICATE_REQUIRED`

  The TLS handshake failed because the server requested a client-side certificate, but none was provided. See g_tls_connection_set_certificate().

  - Value: `5`
  - Nickname: `certificate-required`
  - Available since: 2.28
`G_TLS_ERROR_EOF`

  The TLS connection was closed without proper notice, which may indicate an attack. See g_tls_connection_set_require_close_notify().

  - Value: `6`
  - Nickname: `eof`
  - Available since: 2.28
`G_TLS_ERROR_INAPPROPRIATE_FALLBACK`

  The TLS handshake failed because the client sent the fallback SCSV, indicating a protocol downgrade attack. Since: 2.60

  - Value: `7`
  - Nickname: `inappropriate-fallback`
  - Available since: 2.28
`G_TLS_ERROR_BAD_CERTIFICATE_PASSWORD`

  The certificate failed to load because a password was incorrect. Since: 2.72

  - Value: `8`
  - Nickname: `bad-certificate-password`
  - Available since: 2.28

#### Type functions

###### g_tls_error_quark

Gets the TLS error quark.

since: 2.28